$(document).ready(function () {
    $("#fmUser").validate({
        rules: {
            USUARIO: {required: true, minlength: 4},
            PASS: {required: !"#user_id", minlength: 6},
            CONFIRM_PASS: {required: !"#user_id", minlength: 6, equalTo: "#pass"},
            'user_priv[]': {required: true}
        },
        messages: {
            USUARIO: {required: "Ingrese un nombre de usuario", minlength: "El nombre de usuario debe tener al menos 4 caracteres"},
            PASS: {required: "Ingrese una contraseña", minlength: "La contraseña debe tener al menos 6 caracteres"},
            CONFIRM_PASS: {required: "Ingrese la confirmación de contraseña", minlength: "La contraseña debe tener al menos 6 caracteres", equalTo: "Las contraseñas no son idénticas"},
            'user_priv[]': {required: "Ingrese algún privilegio"}
        }
    });

    $("#fmPass").validate({
        rules: {
            OLD_PASS: {required: true},
            PASS: {required: true, minlength: 6},
            CONFIRM_PASS: {required: true, minlength: 6, equalTo: "#pass2"}
        },
        messages: {
            OLD_PASS: {required: "Ingrese su contraseña nueva"},
            PASS: {required: "Ingrese la confirmación de contraseña", minlength: "La contraseña debe tener al menos 6 caracteres"},
            CONFIRM_PASS: {required: "Ingrese la confirmación de contraseña", minlength: "La contraseña debe tener al menos 6 caracteres", equalTo: "Las contraseñas no son idénticas"}
        }
    });

    $('#lsUs li').click(function () {
        window.location = url_sitio + 'usuarios/index/' + $(this).attr('rel');
    });

    $("#fmUser input:checkbox").click(function (e) {
        if ($(this).is(':checked'))
        {
            if ($(this).attr('id') == "p-admin")
                $('#fmUser input:checkbox:not(#p-admin)').removeAttr('checked');
            else
                $('#p-admin').removeAttr('checked');
        }
    });

    if ($("#p-a").is(':checked')) {
        $("#panel-comunicaciones").show();
    } else {
        $("#panel-comunicaciones").hide();
    }

    $("#p-a").click(function () {
        if ($(this).is(':checked')) {
            $("#panel-comunicaciones").show();
            $("#panel-comunicaciones input").attr('checked', 'checked');
        } else {
            $("#panel-comunicaciones").hide();
        }
    });
});

function cancelar() {
    $('h1.edit').hide();
    $('h1.create').show();
    $('#user_id').val('');
}